std::indirectly_copyable(3cxx)

NAME
std::indirectly_copyable - [alg.req.ind.copy], concept indirectly_copyable

SYNOPSIS

#include <iterator>

Concept definition

template<typename _In, typename _Out>
concept std::indirectly_copyable =  indirectly_readable<_In>
      && indirectly_writable<_Out, iter_reference_t<_In>>

Detailed Description

[alg.req.ind.copy], concept indirectly_copyable

Author

Generated automatically by Doxygen for libstdc++ from the source code.